<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: LinkedArea</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: LinkedArea</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>LinkedArea<span class="signature">(x, y, w, h, visible, receiver, independentCopyThere<span class="signature-attributes">opt</span>, deleteHere<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h2>
        
            <div class="class-description">A LinkedArea sends SharedObjects, that are dragged inside the LinkedArea, to another client.</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="LinkedArea"><span class="type-signature"></span>new LinkedArea<span class="signature">(x, y, w, h, visible, receiver, independentCopyThere<span class="signature-attributes">opt</span>, deleteHere<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Creates a new LinkedArea
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>x</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last">The x-coordinate of the upper left corner of the LinkedArea</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>y</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last">The y-coordinate of the upper left corner of the LinkedArea</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>w</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last">The width of the LinkedArea</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>h</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last">The height of the LinkedArea</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>visible</code></td>
            

            <td class="type">
            
                
<span class="param-type">boolean</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last">If true, a rectangular Shape is painted with the extends of the LinkedArea</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>receiver</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last">The client or room name to send the entered SharedObject to</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>independentCopyThere</code></td>
            

            <td class="type">
            
                
<span class="param-type">boolean</span>


            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    false
                
                </td>
            

            <td class="description last">If true, the receiver gets a copy that is not synchronized with the entered SharedObject</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>deleteHere</code></td>
            

            <td class="type">
            
                
<span class="param-type">boolean</span>


            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    false
                
                </td>
            

            <td class="description last">If true, the entered SharedObject and CreateJS object is removed after the transmission</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2661">line 2661</a>
    </li></ul></dd>
    

    

    

    
</dl>


















    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="appearance"><span class="type-signature"></span>appearance<span class="type-signature"> :createjs.Shape</span></h4>




<div class="description">
    The visible appearance of the LinkedArea, shown if visible is true
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">createjs.Shape</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2686">line 2686</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="config"><span class="type-signature"></span>config<span class="type-signature"></span></h4>




<div class="description">
    The configuration for the appearance
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2677">line 2677</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="deleteHere"><span class="type-signature"></span>deleteHere<span class="type-signature"> :boolean</span></h4>




<div class="description">
    If true, the entered SharedObject and CreateJS object is removed after the transmission
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">boolean</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2705">line 2705</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="independentCopyThere"><span class="type-signature"></span>independentCopyThere<span class="type-signature"> :boolean</span></h4>




<div class="description">
    If true, the receiver gets a copy that is not synchronized with the entered SharedObject
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">boolean</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2701">line 2701</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="receiver"><span class="type-signature"></span>receiver<span class="type-signature"> :string</span></h4>




<div class="description">
    The client or room name to send the entered SharedObject to
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">string</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2697">line 2697</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="rect"><span class="type-signature"></span>rect<span class="type-signature"> :createjs.Graphics.Rect</span></h4>




<div class="description">
    The coordinates and size of the LinkedArea
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">createjs.Graphics.Rect</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2693">line 2693</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id="sharedIdsInside"><span class="type-signature"></span>sharedIdsInside<span class="type-signature"> :Set.&lt;string></span></h4>




<div class="description">
    A Set of sharedIds of all SharedObjects that are inside of this LinkedArea
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Set.&lt;string></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2709">line 2709</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id=".handleMovement"><span class="type-signature">(static) </span>handleMovement<span class="signature">(sharedObj)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Handles the movement of the given SharedObject by checking if it is inside of any LinkedArea
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>sharedObj</code></td>
            

            <td class="type">
            
                
<span class="param-type"><a href="SharedObject.html">SharedObject</a></span>


            
            </td>

            

            

            <td class="description last">The moved SharedObject to handle</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2744">line 2744</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="delete"><span class="type-signature"></span>delete<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Removes the LinkedArea
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="mtlg_distributed_displays.js.html">mtlg_distributed_displays.js</a>, <a href="mtlg_distributed_displays.js.html#line2729">line 2729</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-actions.html">actions</a></li><li><a href="module-communication.html">communication</a></li><li><a href="module-distributedDisplays.html">distributedDisplays</a></li><li><a href="module-rooms.html">rooms</a></li></ul><h3>Classes</h3><ul><li><a href="LinkedArea.html">LinkedArea</a></li><li><a href="SharedObject.html">SharedObject</a></li></ul><h3>Namespaces</h3><ul><li><a href="MTLG.html">MTLG</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Nov 13 2017 14:30:54 GMT+0100 (Mitteleuropäische Zeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>